Skip to content

Overview

- Why msgspec?
- Installation
- Benchmarks

User Guide

- Usage
- Supported Types
- Structs
- Constraints
- Converters
- JSON Schema
- Schema Evolution

Advanced

- Extending
- Inspecting Types
- Performance Tips

Porting

- Porting guides
  - Porting from orjson

Reference

- API Docs
- Examples
  - GeoJSON
  - Asyncio TCP Key-Value Server
  - Conda Repodata
  - Parsing `pyproject.toml`
- Changelog

Back to top
View this page

# Porting guides

Guides for migrating to `msgspec` from other libraries.

- Porting from orjson